@charset "UTF-8";
@import url('./font.css');

* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
*::before,
*::after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

html {
  -webkit-text-size-adjust: none;
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: rgba(112, 112, 112, 0.568);
  -webkit-overflow-scrolling: touch;
  touch-action: manipulation; /* manipulation : 터치를 사용한 스크롤, 핀치 줌만 허용하고 그 외 비표준 동작 (더블 탭으로 확대 등) 불허용 */
  --viewport-top: 0px;
}
:root {
  touch-action: pan-x pan-y;
  height: 100%;
}
body {
  position: relative;
  min-width: 280px;
  word-break: keep-all;
  color: #111;
}
html,
body {
  position: relative;
  min-height: 100%;
  font-size: 14px;
  line-height: 100%;
  overscroll-behavior-y: none;
  background-color: #ffffff;
}
/* 화면 새로 고침 기능 */
html.overscroll,
html.overscroll body {
  overscroll-behavior-y: auto;
}

.scroll-lock {
  position: fixed;
  width: 100%;
  overflow: hidden !important;
}

.overflow_hidden {
  overflow: hidden;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
div,
li,
dt,
dd,
th,
td,
input,
button,
textarea,
select,
b {
  font-family: 'Pretendard', Arial, sans-serif;
  font-weight: 500;
}
img,
fieldset {
  line-height: 0;
  vertical-align: middle;
}
img {
  image-rendering: crisp-edges;
  image-rendering: optimizeQuality;
  image-rendering: -webkit-optimize-contrast;
  object-fit: contain;
}
ul,
ol,
li {
  list-style: none;
}
a {
  display: inline-block;
  text-decoration: none;
}
a,
span,
strong,
em,
b,
i {
  font-size: inherit;
  font-weight: inherit;
  font-family: inherit;
  color: inherit;
  line-height: inherit;
}
dialog {
  border: 0;
}
a,
button,
label,
input,
select,
textarea,
span {
  outline: none;
  -webkit-tap-highlight-color: transparent !important;
}
em,
i {
  font-style: normal;
}
button {
  background-color: transparent;
  border: none;
  cursor: pointer;
}
button > * {
  pointer-events: none;
}
button::-moz-focus-inner {
  padding: 0;
  border: 0;
}
legend {
  position: fixed;
  left: -7000px;
}
table {
  width: 100%;
  border-collapse: collapse;
  border-spacing: 0;
}
legend,
.hidden,
.blind {
  position: absolute;
  display: inline-block;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  width: 1px;
  height: 1px;
  margin-top: -1px;
  margin-left: -1px;
}
caption {
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  width: 1px;
  height: 1px;
  margin-top: -1px;
  margin-left: -1px;
}
th,
td {
  vertical-align: middle;
  text-align: center;
}

select,
textarea,
pre,
button,
input {
  font-family: 'Pretendard', Arial, sans-serif;
  line-height: 1.5;
  color: #333;
  caret-color: #FF9B00;
}
select,
textarea,
iframe,
img,
fieldset {
  border: none;
}
select {
  width: 100%;
  height: 100%;
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
  appearance: none;
  border: none;
  background-color: transparent;
  border-radius: 0;
}
select::-ms-expand {
  display: none;
}
textarea {
  text-align: left;
  resize: none;
  font-weight: 400;
}
textarea::placeholder {
  font-size: 16px;
  font-weight: 400;
  color: #dcdcdc;
}
textarea:-ms-input-placeholder {
  font-size: 16px;
  font-weight: 400;
  color: #dcdcdc;
}
label {
  cursor: pointer;
}

input::-ms-clear {
  display: none;
}
input:-ms-clear {
  display: none;
}
input::-ms-reveal {
  display: none;
}
input:-ms-reveal {
  display: none;
}
input[type='number'] {
  -moz-appearance: textfield;
}
input[type='number']::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type='number']::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type='date']::-webkit-inner-spin-button {
  -webkit-appearance: none;
  display: none;
}
input[type='date']::-webkit-calendar-picker-indicator {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
}
input {
  border: none;
  border-radius: 0;
  background-color: transparent;
}
input[type='checkbox'],
input[type='radio'] {
  -webkit-appearance: none;
  appearance: none;
}
input[type='file'] {
  cursor: pointer;
}
input:disabled,
input:disabled {
  -webkit-text-fill-color: #dcdcdc;
  opacity: 1;
}
/* 아이폰에서 disabled 되었을 때 글자가 회색으로 바뀌는거 수정 */
input[disabled] + label,
.disabled {
  color: #dcdcdc !important;
}
input::-webkit-input-placeholder {
  color: #dcdcdc;
}
input:-moz-placeholder {
  color: #dcdcdc;
}
input::-moz-placeholder {
  color: #dcdcdc;
}
input:-ms-input-placeholder {
  color: #dcdcdc;
}
input::placeholder {
  color: #dcdcdc;
}

input::-webkit-search-decoration,
input::-webkit-search-cancel-button,
input::-webkit-search-results-button,
input::-webkit-search-results-decoration {
  display: none;
}
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  transition: background-color 5000s ease-in-out 0s;
  -webkit-transition: background-color 9999s ease-out;
  -webkit-box-shadow: 0 0 0px 1000px transparent inset !important;
  -webkit-text-fill-color: #333 !important;
}
input[readonly]:-webkit-autofill,
input[readonly]:-webkit-autofill:hover,
input[readonly]:-webkit-autofill:focus,
input[readonly]:-webkit-autofill:active {
  -webkit-text-fill-color: #999 !important;
}
select:required:invalid {
  color: #cbcbcb;
}
option[value=''][disabled] {
  display: none;
}

header,
footer,
nav,
aside,
section,
article,
main,
video,
audio,
canvas {
  display: block;
}
object,
svg {
  width: 100%;
  height: 100%;
  pointer-events: none;
}
object {
  position: absolute;
  top: -999px;
  height: 0;
}
meter {
  display: block;
  width: 100%;
  height: 10px; /* 높이 명시 */
  border: none;
  background: transparent; /* 본체는 투명하게 */
  -webkit-appearance: none;
  appearance: none;
  border-radius: 8px;
}

/* 배경 바 */
meter::-webkit-meter-bar {
  background: #fff;
  border: none;
  border-radius: 8px;
  -webkit-appearance: none;
}

/* 게이지 공통 (상태 상관없이 주황색) */
meter::-webkit-meter-optimum-value,
meter::-webkit-meter-suboptimum-value,
meter::-webkit-meter-even-less-good-value {
  background: #ff9b00 !important;
  border-radius: 8px;
  -webkit-appearance: none;
}

/* 게이지 (보험 상태 만료) */
meter.expired::-webkit-meter-optimum-value,
meter.expired::-webkit-meter-suboptimum-value,
meter.expired::-webkit-meter-even-less-good-value {
    background: #dcdcdc !important;
}

/* 파이어폭스 대응 */
meter::-moz-meter-bar {
  border-radius: 8px;
  background: #ff9b00;
}

/* 파이어폭스 대응 */
meter.expired::-moz-meter-bar {
    background: #dcdcdc;
}


hr {
  margin: 40px 0;
  border-top: 0;
  border-bottom: 1px solid #eee;
}
/* vue.js 파일을 불러서 사용할 때만(cdn) */
[v-cloak] {
  display: none;
}

#app {
  height: 100%;
  touch-action: auto;
  pointer-events: auto;
}
